package com.jxy.marketall.enums;

/**
 * @Description ETF查询范围条件
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum SymbolType {

    BTCUSDT("0","btcusdt"),
    ETHUSDT("1","ethusdt"),
    BCHUSDT("2","bchusdt"),
    XRPUSDT("3","xrpusdt"),
    EOSUSDT("4","eosusdt"),
    LTCUSDT("5","ltcusdt"),
    TRXUSDT("6","trxusdt"),
    ETCUSDT("7","etcusdt"),
    LINKUSDT("8","linkusdt"),
    XLMUSDT("9","xlmusdt"),
    ADAUSDT("10","adausdt"),
    XMRUSDT("11","xmrusdt"),
    DASHUSDT("12","dashusdt"),
    ZECUSDT("13","zecusdt"),
    XTZUSDT("14","xtzusdt"),
    BNBUSDT("15","bnbusdt"),
    ATOMUSDT("16","atomusdt"),
    ONTUSDT("17","ontusdt"),
    IOTAUSDT("18","iotausdt"),
    BATUSDT("19","batusdt"),
    VETUSDT("20","vetusdt"),
    NEOUSDT("21","neousdt"),
    QTUMUSDT("22","qtumusdt"),
    IOSTUSDT("23","iostusdt"),
    THETAUSDT("24","thetausdt"),
    ALGOUSDT("25","algousdt"),
    ZILUSDT("26","zilusdt"),
    KNCUSDT("27","kncusdt"),
    ZRXUSDT("28","zrxusdt"),
    COMPUSDT("29","compusdt"),
    OMGUSDT("30","omgusdt"),
    DOGEUSDT("31","dogeusdt"),
    SXPUSDT("32","sxpusdt"),
    KAVAUSDT("33","kavausdt"),
    BANDUSDT("34","bandusdt"),
    RLCUSDT("35","rlcusdt"),
    WAVESUSDT("36","wavesusdt"),
    MKRUSDT("37","mkrusdt"),
    SNXUSDT("38","snxusdt"),
    DOTUSDT("39","dotusdt"),
    DEFIUSDT("40","defiusdt"),
    YFIUSDT("41","yfiusdt"),
    BALUSDT("42","balusdt"),
    CRVUSDT("43","crvusdt"),
    TRBUSDT("44","trbusdt"),
    RUNEUSDT("45","runeusdt"),
    SUSHIUSDT("46","sushiusdt"),
    SRMUSDT("47","srmusdt"),
    EGLDUSDT("48","egldusdt"),
    SOLUSDT("49","solusdt"),
    ICXUSDT("50","icxusdt"),
    STORJUSDT("51","storjusdt"),
    BLZUSDT("52","blzusdt"),
    UNIUSDT("53","uniusdt"),
    AVAXUSDT("54","avaxusdt"),
    FTMUSDT("55","ftmusdt"),
    HNTUSDT("56","hntusdt"),
    ENJUSDT("57","enjusdt"),
    FLMUSDT("58","flmusdt"),
    TOMOUSDT("59","tomousdt"),
    RENUSDT("60","renusdt"),
    KSMUSDT("61","ksmusdt"),
    NEARUSDT("62","nearusdt"),
    AAVEUSDT("63","aaveusdt"),
    FILUSDT("64","filusdt"),
    RSRUSDT("65","rsrusdt"),
    LRCUSDT("66","lrcusdt"),
    MATICUSDT("67","maticusdt"),
    OCEANUSDT("68","oceanusdt"),
    CVCUSDT("69","cvcusdt"),
    BELUSDT("70","belusdt"),
    CTKUSDT("71","ctkusdt"),
    AXSUSDT("72","axsusdt"),
    ALPHAUSDT("73","alphausdt"),
    ZENUSDT("74","zenusdt"),
    SKLUSDT("75","sklusdt"),
    GRTUSDT("76","grtusdt"),
    CHZUSDT("78"," chzusdt"),
    SANDUSDT("79","sandusdt"),
    ANKRUSDT("80","ankrusdt"),
    BTSUSDT("81","btsusdt"),
    LITUSDT("82","litusdt"),
    UNFIUSDT("83","unfiusdt"),
    REEFUSDT("84","reefusdt"),
    RVNUSDT("85","rvnusdt"),
    SFPUSDT("86","sfpusdt"),
    XEMUSDT("87","xemusdt"),
    BTCSTUSDT("88","btcstusdt"),
    COTIUSDT("89","cotiusdt"),
    CHRUSDT("90","chrusdt"),
    MANAUSDT("91","manausdt"),
    ALICEUSDT("92","aliceusdt"),
    HBARUSDT("93","hbarusdt"),
    ONEUSDT("94","oneusdt"),
    LINAUSDT("95","linausdt"),
    STMXUSDT("96","stmxusdt"),
    DENTUSDT("97","dentusdt"),
    CELRUSDT("98","celrusdt"),
    HOTUSDT("99","hotusdt"),
    MTLUSDT("100","mtlusdt"),
    OGNUSDT("101","ognusdt"),
    NKNUSDT("102","nknusdt"),
    SCUSDT("103","scusdt"),
    DGBUSDT("104","dgbusdt"),
    BAKEUSDT("106","bakeusdt"),
    GTCUSDT("107","gtcusdt"),
    BTCDOMUSDT("108","btcdomusdt"),
    IOTXUSDT("109","iotxusdt"),
    AUDIOUSDT("110","audiousdt"),
    RAYUSDT("111","rayusdt"),
    C98USDT("112","c98usdt"),
    MASKUSDT("113","maskusdt"),
    ATAUSDT("114","atausdt"),
    DYDXUSDT("115","dydxusdt"),
    GALAUSDT("117","galausdt"),
    CELOUSDT("118","celousdt"),
    ARUSDT("119","arusdt"),
    KLAYUSDT("120","klayusdt"),
    ARPAUSDT("121","arpausdt"),
    CTSIUSDT("122","ctsiusdt"),
    LPTUSDT("123","lptusdt"),
    ENSUSDT("124","ensusdt"),
    PEOPLEUSDT("125","peopleusdt"),
    ANTUSDT("126","antusdt"),
    ROSEUSDT("127","roseusdt"),
    DUSKUSDT("128","duskusdt"),
    FLOWUSDT("129","flowusdt"),
    IMXUSDT("130","imxusdt"),
    API3USDT("131","api3usdt"),
    GMTUSDT("132","gmtusdt"),
    APEUSDT("133","apeusdt"),
    BNXUSDT("134","bnxusdt"),
    WOOUSDT("135","woousdt"),
    FTTUSDT("136","fttusdt"),
    JASMYUSDT("137","jasmyusdt"),
    DARUSDT("138","darusdt"),
    GALUSDT("139","galusdt"),
    OPUSDT("140","opusdt");

    private final String code;
    private final String info;

    SymbolType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
